Motorcycle Decode API Documentation
Welcome to Vehicle Databases API's Documentation
Motorcycle Decode
GETJSON ResponseOverview
API provides comprehensive and accurate data about motorcycles by vin. The API returns detailed information such as make, model, year, trim, engine type, engine displacement, fuel type, transmission, manufacturer, country of origin, and vehicle class.
- COVERAGE
- US, Canada, and Europe, regions from 1894 to 2025
- SUPPORT
- Works for 17 characters VINs
HTTP Request
Endpoint
https://api.vehicledatabases.com/motorcycle-decode/{vin}Request
import requests
response = requests.get(
"https://api.vehicledatabases.com/motorcycle-decode/{vin}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
vinRequired- 17 characters VIN number
JSON Response
The response is a JSON of all the information associated with a VIN number. Each vin number has the following elements:
Example Response
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": {
"year": 2022,
"make": "Kawasaki",
"model": "KLR 650",
"trim": "Base",
"price": {
"base_msrp": 7435,
"delivery_charges": "",
"currency": "USD"
},
"vehicle": {
"class": "",
"category": "Super motard"
},
"dimensions": [
{
"section": "Exterior",
"measurements": [
{
"name": "Length",
"values": [
{
"value": 89.8,
"unit": "in"
},
{
"value": 2280.92,
"unit": "mm"
},
{
"value": 7.48,
"unit": "ft"
}
]
},
{
"name": "Width",
"values": [
{
"value": 38.2,
"unit": "in"
},
{
"value": 970.28,
"unit": "mm"
},
{
"value": 3.18,
"unit": "ft"
}
]
},
{
"name": "Height",
"values": [
{
"value": 57.7,
"unit": "in"
},
{
"value": 1465.58,
"unit": "mm"
},
{
"value": 4.81,
"unit": "ft"
}
]
},
{
"name": "Wheelbase",
"values": [
{
"value": 58.3,
"unit": "in"
},
{
"value": 1480.82,
"unit": "mm"
},
{
"value": 4.86,
"unit": "ft"
}
]
},
{
"name": "Ground Clearance",
"values": [
{
"value": 8.3,
"unit": "in"
},
{
"value": 210.82,
"unit": "mm"
},
{
"value": 0.69,
"unit": "ft"
}
]
},
{
"name": "Trail",
"values": [
{
"value": 4.8,
"unit": "in"
},
{
"value": 122,
"unit": "mm"
}
]
}
]
},
{
"section": "Weights",
"measurements": [
{
"name": "Wet Weight",
"values": [
{
"value": "",
"unit": "lbs"
},
{
"value": "",
"unit": "Kgs"
}
]
},
{
"name": "Dry Weight",
"values": [
{
"value": "",
"unit": "lbs"
},
{
"value": "",
"unit": "Kgs"
}
]
},
{
"name": "Payload Capacity",
"values": [
{
"value": "",
"unit": "lbs"
},
{
"value": "",
"unit": "Kgs"
}
]
},
{
"name": "Gross Vechile Weight Rating",
"values": [
{
"value": "",
"unit": "lbs"
},
{
"value": "",
"unit": "Kgs"
}
]
},
{
"name": "Towing Capacity",
"values": [
{
"value": "",
"unit": "lbs"
},
{
"value": "",
"unit": "Kgs"
}
]
},
{
"name": "Total Weight",
"values": [
{
"value": 456.2,
"unit": "lbs"
},
{
"value": 206.89,
"unit": "Kgs"
}
]
},
{
"name": "Power Weigt Ratio",
"values": [
{
"value": "",
"unit": "HP/Kg"
}
]
}
]
},
{
"section": "Suspension",
"measurements": [
{
"name": "Front Suspension Size",
"values": [
{
"value": "",
"unit": "in"
},
{
"value": "",
"unit": "mm"
}
]
},
{
"name": "Rear Suspension Size",
"values": [
{
"value": "",
"unit": "in"
},
{
"value": "",
"unit": "mm"
}
]
},
{
"name": "Front Travel",
"values": [
{
"value": "",
"unit": "in"
},
{
"value": "",
"unit": "mm"
}
]
},
{
"name": "Rear Travel",
"values": [
{
"value": "",
"unit": "in"
},
{
"value": "",
"unit": "mm"
}
]
},
{
"name": "Fork Rake Angle",
"values": [
{
"value": 30,
"unit": "Degree"
}
]
}
]
},
{
"section": "Braking",
"measurements": [
{
"name": "Front Brake Diameter",
"values": [
{
"value": 9.4,
"unit": "in"
},
{
"value": 240,
"unit": "mm"
}
]
},
{
"name": "Rear Brake Diameter",
"values": [
{
"value": 9.4,
"unit": "in"
},
{
"value": 240,
"unit": "mm"
}
]
}
]
},
{
"section": "Seating",
"measurements": [
{
"name": "Seat Height",
"values": [
{
"value": 34.3,
"unit": "in"
},
{
"value": 871.22,
"unit": "mm"
}
]
},
{
"name": "Alternate Seat Height",
"values": [
{
"value": "",
"unit": "in"
},
{
"value": "",
"unit": "mm"
}
]
}
]
},
{
"section": "Wheels",
"measurements": [
{
"name": "Front Wheel Diameter",
"values": [
{
"value": "",
"unit": "in"
}
]
},
{
"name": "Front Wheel Diamter",
"values": [
{
"value": "",
"unit": "mm"
}
]
},
{
"name": "Rear Wheel Diamter",
"values": [
{
"value": "",
"unit": "in"
},
{
"value": "",
"unit": "mm"
}
]
},
{
"name": "Front Wheel Width",
"values": [
{
"value": 7.9,
"unit": "in"
},
{
"value": 200.66,
"unit": "mm"
}
]
},
{
"name": "Rear Wheel Width",
"values": [
{
"value": 7.3,
"unit": "in"
},
{
"value": 185.42,
"unit": "mm"
}
]
}
]
},
{
"section": "Tires",
"measurements": [
{
"name": "Front Tire Width",
"values": [
{
"value": "",
"unit": "mm"
},
{
"value": "",
"unit": "in"
}
]
},
{
"name": "Rear Tire Width",
"values": [
{
"value": "",
"unit": "mm"
},
{
"value": "",
"unit": "in"
}
]
},
{
"name": "Front Tire Pressure",
"values": [
{
"value": 22,
"unit": "PSI"
},
{
"value": 1.5,
"unit": "Bar"
},
{
"value": 150,
"unit": "kPa"
}
]
},
{
"name": "Rear Tire Pressure",
"values": [
{
"value": 29,
"unit": "PSI"
},
{
"value": 2,
"unit": "Bar"
},
{
"value": 200,
"unit": "kPa"
}
]
},
{
"name": "Fork Tube",
"values": [
{
"value": 1.5,
"unit": "in"
},
{
"value": 38,
"unit": "mm"
}
]
}
]
},
{
"section": "Engine",
"measurements": [
{
"name": "Displacement",
"values": [
{
"value": 651,
"unit": "cc"
},
{
"value": 39.73,
"unit": "ci"
},
{
"value": 0.65,
"unit": "L"
}
]
},
{
"name": "Horsepower",
"values": [
{
"value": "",
"unit": "kW"
},
{
"value": "",
"unit": "bhp"
},
{
"value": "",
"unit": "rpm"
}
]
},
{
"name": "Torque",
"values": [
{
"value": 71.86,
"unit": "ft.lbs"
},
{
"value": 53,
"unit": "Nm"
}
]
},
{
"name": "Maximum Range",
"values": [
{
"value": "",
"unit": "mi"
},
{
"value": "",
"unit": "Km"
}
]
},
{
"name": "Carburetor Size",
"values": [
{
"value": "",
"unit": "in"
},
{
"value": "",
"unit": "mm"
}
]
},
{
"name": "Bore",
"values": [
{
"value": 3.9,
"unit": "in"
},
{
"value": 99.06,
"unit": "mm"
}
]
},
{
"name": "Stroke",
"values": [
{
"value": 3.3,
"unit": "in"
},
{
"value": 83.82,
"unit": "mm"
}
]
},
{
"name": "Fuel Injector",
"values": [
{
"value": "",
"unit": "in"
},
{
"value": "",
"unit": "mm"
}
]
},
{
"name": "Engine Displacement To Weight",
"values": [
{
"value": "",
"unit": "cc"
},
{
"value": "",
"unit": "ci"
}
]
},
{
"name": "Top Speed",
"values": [
{
"value": "",
"unit": "Km/h"
},
{
"value": "",
"unit": "mph"
}
]
},
{
"name": "Acceleration",
"values": [
{
"value": "",
"unit": "sec"
}
]
},
{
"name": "Green House",
"values": [
{
"value": "",
"unit": "g/Km"
}
]
},
{
"name": "Idle Speed",
"values": [
{
"value": 1300,
"unit": "RPM"
}
]
}
]
},
{
"section": "Fuel",
"measurements": [
{
"name": "Tank Capacity",
"values": [
{
"value": 6.1,
"unit": "gal"
},
{
"value": 23.09,
"unit": "L"
}
]
},
{
"name": "Reserve Tank Capacity",
"values": [
{
"value": "",
"unit": "gal"
},
{
"value": "",
"unit": "L"
}
]
},
{
"name": "Storage Capacity",
"values": [
{
"value": "",
"unit": "gal"
},
{
"value": "",
"unit": "L"
}
]
},
{
"name": "Oil Capacity",
"values": [
{
"value": 0.66,
"unit": "gal"
},
{
"value": 2.5,
"unit": "L"
}
]
}
]
},
{
"section": "Mileage",
"measurements": [
{
"name": "EPA City",
"values": [
{
"value": "",
"unit": "mpg"
},
{
"value": "",
"unit": "L/Km"
}
]
},
{
"name": "EPA Highway",
"values": [
{
"value": "",
"unit": "mpg"
},
{
"value": "",
"unit": "L/Km"
}
]
},
{
"name": "EPA Combined",
"values": [
{
"value": "",
"unit": "mpg"
},
{
"value": "",
"unit": "L/Km"
}
]
}
]
}
],
"specifications": [
{
"section": "Exterior",
"items": [
{
"name": "Frame Type",
"value": [
"Tubular, Semi-Double Cradle"
]
},
{
"name": "Light",
"value": [
""
]
}
]
},
{
"section": "Suspension",
"items": [
{
"name": "Front Suspension Type",
"value": [
"41mm telescopic fork"
]
},
{
"name": "Rear Suspension Type",
"value": [
"Uni-Trak single-shock system with 5-way preload and stepless rebound damping"
]
},
{
"name": "Front Suspension Brand",
"value": [
""
]
},
{
"name": "Rear Suspension Brand",
"value": [
""
]
},
{
"name": "Front Suspension Material",
"value": [
""
]
},
{
"name": "Rear Suspension Material",
"value": [
""
]
},
{
"name": "Front Adjustable Rebound Damping",
"value": [
""
]
},
{
"name": "Rear Adjustable Rebound Damping",
"value": [
""
]
},
{
"name": "Front Central Suspension Strut",
"value": [
""
]
},
{
"name": "Adjustable Front Suspension",
"value": [
""
]
},
{
"name": "Adjustable Rear Suspension",
"value": [
""
]
},
{
"name": "Steering Damper",
"value": [
""
]
},
{
"name": "Rear Shock Absorbers",
"value": [
""
]
},
{
"name": "Air Adjustable",
"value": [
""
]
}
]
},
{
"section": "Braking",
"items": [
{
"name": "Brake Type",
"value": [
""
]
},
{
"name": "Brake Brand Name",
"value": [
""
]
},
{
"name": "Front Brake Type",
"value": [
"Single disc. Two-piston calipers. Optional ABS."
]
},
{
"name": "Rear Brake Type",
"value": [
"Single disc. Single piston. Optional ABS.."
]
},
{
"name": "Abs System",
"value": [
""
]
},
{
"name": "Regenerative Breaking",
"value": [
""
]
},
{
"name": "Regenerative Deceleration",
"value": [
""
]
},
{
"name": "Linked Brake System Front To Rear",
"value": [
""
]
},
{
"name": "Brake Fluid",
"value": [
"DOT 4"
]
}
]
},
{
"section": "Seating",
"items": [
{
"name": "Seat Type",
"value": [
""
]
},
{
"name": "Seat Location",
"value": [
""
]
},
{
"name": "Seat Material",
"value": [
""
]
},
{
"name": "Grab Rail Or Strap",
"value": [
""
]
},
{
"name": "Backrest Logo Plate",
"value": [
""
]
},
{
"name": "Backrest Type",
"value": [
""
]
},
{
"name": "Backrest Location",
"value": [
""
]
},
{
"name": "Folding",
"value": [
""
]
},
{
"name": "Detachable Passenger Seat",
"value": [
""
]
},
{
"name": "Seat Tail Cover",
"value": [
""
]
},
{
"name": "Adjustable",
"value": [
""
]
},
{
"name": "Seat Backrest",
"value": [
""
]
},
{
"name": "Heated Seat",
"value": [
""
]
},
{
"name": "Lumbar Adjustment",
"value": [
""
]
},
{
"name": "Seat Rail",
"value": [
""
]
},
{
"name": "Detachable",
"value": [
""
]
},
{
"name": "Sidecar",
"value": [
""
]
},
{
"name": "Number Of Seats",
"value": [
""
]
}
]
},
{
"section": "Wheels",
"items": [
{
"name": "Wheel Type",
"value": [
""
]
},
{
"name": "Wheels Composition",
"value": [
""
]
},
{
"name": "Chromed",
"value": [
""
]
}
]
},
{
"section": "Tires",
"items": [
{
"name": "Tires Type",
"value": [
""
]
},
{
"name": "Tires Brand",
"value": [
""
]
},
{
"name": "Spare Tire",
"value": [
""
]
},
{
"name": "Front Tire Size",
"value": [
"90/90-21"
]
},
{
"name": "Rear Tire Size",
"value": [
"130/80-17"
]
},
{
"name": "Front Tire Speed Rating",
"value": [
""
]
},
{
"name": "Rear Tire Speed Rating",
"value": [
""
]
},
{
"name": "Front Tire Aspect Ratio",
"value": [
""
]
},
{
"name": "Rear Tire Aspect Ratio",
"value": [
""
]
}
]
},
{
"section": "Engine",
"items": [
{
"name": "Engine Type",
"value": [
"Single cylinder, four-stroke"
]
},
{
"name": "Engine Brand",
"value": [
""
]
},
{
"name": "Carburetor",
"value": [
""
]
},
{
"name": "Carburetion",
"value": [
""
]
},
{
"name": "Carburetion Type",
"value": [
""
]
},
{
"name": "Carburetion Brand",
"value": [
""
]
},
{
"name": "Speed Governor",
"value": [
""
]
},
{
"name": "Engine Stroke",
"value": [
""
]
},
{
"name": "Cooling",
"value": [
"Liquid"
]
},
{
"name": "Turbocharged",
"value": [
""
]
},
{
"name": "Fuel Injector",
"value": [
""
]
},
{
"name": "Primary Compression Ratio",
"value": [
"9.8:1"
]
},
{
"name": "Secondary Compression Ratio",
"value": [
""
]
},
{
"name": "Valve Configuration",
"value": [
""
]
},
{
"name": "Number Of Carburetors",
"value": [
""
]
},
{
"name": "Cylinders",
"value": [
""
]
},
{
"name": "Valves",
"value": [
""
]
},
{
"name": "Valves Per Cylinder",
"value": [
""
]
},
{
"name": "Lubrication System",
"value": [
""
]
},
{
"name": "Exhaust System",
"value": [
""
]
},
{
"name": "Emission Details",
"value": [
""
]
},
{
"name": "Ignition",
"value": [
"Electric CDI"
]
},
{
"name": "Clutch",
"value": [
"Wet multi-disc manual clutch"
]
},
{
"name": "Starter",
"value": [
"Electric"
]
},
{
"name": "Electrical",
"value": [
""
]
},
{
"name": "Engine Oil",
"value": [
"SAE 10W-40"
]
},
{
"name": "Spark Plugs",
"value": [
"NGK DPR8EA-9, NGK DPR8EIX-9"
]
}
]
},
{
"section": "Transmission",
"items": [
{
"name": "Transmission Type",
"value": [
"Chain (final drive)"
]
},
{
"name": "Transmission Brand",
"value": [
""
]
},
{
"name": "Engine Transmission Drive",
"value": [
""
]
},
{
"name": "Primary Drive Rear Wheel",
"value": [
"Sealed chain"
]
},
{
"name": "Adjustable Throttle",
"value": [
""
]
},
{
"name": "Secondary Transmission",
"value": [
""
]
},
{
"name": "Overdrive",
"value": [
""
]
},
{
"name": "Heel Toe Shifter",
"value": [
""
]
},
{
"name": "Reverse",
"value": [
""
]
},
{
"name": "Number Of Speeds",
"value": [
5
]
},
{
"name": "First Gear Ratio",
"value": [
""
]
},
{
"name": "Second Gear Ratio",
"value": [
""
]
},
{
"name": "Third Gear Ratio",
"value": [
""
]
},
{
"name": "Fourth Gear Ratio",
"value": [
""
]
},
{
"name": "Fifth Gear Ratio",
"value": [
""
]
},
{
"name": "Sixth Gear Ratio",
"value": [
""
]
},
{
"name": "Final Drive Axle Ratio",
"value": [
""
]
}
]
},
{
"section": "Fuel",
"items": [
{
"name": "Fuel Type",
"value": [
"Injection. DFI w/40mm Throttle Body"
]
},
{
"name": "Fuel Grade",
"value": [
""
]
},
{
"name": "Fuel Control",
"value": [
"Double Overhead Cams/Twin Cam (DOHC)"
]
},
{
"name": "Carrying Capacity",
"value": [
""
]
}
]
}
],
"colors": "Pearl Sand Khaki, Pearl Lava Orange",
"features": [
{
"title": "Exterior Features",
"description": []
},
{
"title": "Steering Features",
"description": []
},
{
"title": "Instrumentation Features",
"description": []
},
{
"title": "Storage Features",
"description": []
},
{
"title": "Lights Features",
"description": []
},
{
"title": "Glass Features",
"description": []
},
{
"title": "Convenience Features",
"description": []
},
{
"title": "Entertainment Features",
"description": []
},
{
"title": "Mounts Features",
"description": []
},
{
"title": "Paint And Finish Features",
"description": []
},
{
"title": "Electric Engine Features",
"description": []
}
],
"warranties": [
{
"title": "Basic",
"values": [
{
"title": "Months",
"value": 12
},
{
"title": "Miles",
"value": ""
},
{
"title": "Condition",
"value": ""
}
]
},
{
"title": "Charging System",
"values": {
"title": "Months",
"value": ""
}
},
{
"title": "Battery",
"values": {
"title": "Months",
"value": ""
}
}
]
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
Motorcycle Decode
GETJSON ResponseOverview
API provides comprehensive and accurate data about motorcycles by year, make, model, and trim. The API returns detailed information such as make, model, year, trim, engine type, engine displacement, fuel type, transmission, manufacturer, country of origin, and vehicle class.
- COVERAGE
- US, Canada, and Europe, regions
- SUPPORT
- Works for motorcycles from 1894 to 2025
HTTP Request
Endpoint
https://api.vehicledatabases.com/motorcycle-decode/{year}/{make}/{model}/{trim}Request
import requests
response = requests.get(
"https://api.vehicledatabases.com/motorcycle-decode/{year}/{make}/{model}/{trim}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
yearRequired- Motorcycle year
makeRequired- Motorcycle make
modelRequired- Motorcycle model
trimRequired- Motorcycle trim
JSON Response
The response is a JSON of all the information associated with a VIN number. Each vin number has the following elements:
Example Response
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": {
"year": 2022,
"make": "Kawasaki",
"model": "KLR 650",
"trim": "Base",
"price": {
"base_msrp": 7435,
"delivery_charges": "",
"currency": "USD"
},
"vehicle": {
"class": "",
"category": "Super motard"
},
"dimensions": [
{
"section": "Exterior",
"measurements": [
{
"name": "Length",
"values": [
{
"value": 89.8,
"unit": "in"
},
{
"value": 2280.92,
"unit": "mm"
},
{
"value": 7.48,
"unit": "ft"
}
]
},
{
"name": "Width",
"values": [
{
"value": 38.2,
"unit": "in"
},
{
"value": 970.28,
"unit": "mm"
},
{
"value": 3.18,
"unit": "ft"
}
]
},
{
"name": "Height",
"values": [
{
"value": 57.7,
"unit": "in"
},
{
"value": 1465.58,
"unit": "mm"
},
{
"value": 4.81,
"unit": "ft"
}
]
},
{
"name": "Wheelbase",
"values": [
{
"value": 58.3,
"unit": "in"
},
{
"value": 1480.82,
"unit": "mm"
},
{
"value": 4.86,
"unit": "ft"
}
]
},
{
"name": "Ground Clearance",
"values": [
{
"value": 8.3,
"unit": "in"
},
{
"value": 210.82,
"unit": "mm"
},
{
"value": 0.69,
"unit": "ft"
}
]
},
{
"name": "Trail",
"values": [
{
"value": 4.8,
"unit": "in"
},
{
"value": 122,
"unit": "mm"
}
]
}
]
},
{
"section": "Weights",
"measurements": [
{
"name": "Wet Weight",
"values": [
{
"value": "",
"unit": "lbs"
},
{
"value": "",
"unit": "Kgs"
}
]
},
{
"name": "Dry Weight",
"values": [
{
"value": "",
"unit": "lbs"
},
{
"value": "",
"unit": "Kgs"
}
]
},
{
"name": "Payload Capacity",
"values": [
{
"value": "",
"unit": "lbs"
},
{
"value": "",
"unit": "Kgs"
}
]
},
{
"name": "Gross Vechile Weight Rating",
"values": [
{
"value": "",
"unit": "lbs"
},
{
"value": "",
"unit": "Kgs"
}
]
},
{
"name": "Towing Capacity",
"values": [
{
"value": "",
"unit": "lbs"
},
{
"value": "",
"unit": "Kgs"
}
]
},
{
"name": "Total Weight",
"values": [
{
"value": 456.2,
"unit": "lbs"
},
{
"value": 206.89,
"unit": "Kgs"
}
]
},
{
"name": "Power Weigt Ratio",
"values": [
{
"value": "",
"unit": "HP/Kg"
}
]
}
]
},
{
"section": "Suspension",
"measurements": [
{
"name": "Front Suspension Size",
"values": [
{
"value": "",
"unit": "in"
},
{
"value": "",
"unit": "mm"
}
]
},
{
"name": "Rear Suspension Size",
"values": [
{
"value": "",
"unit": "in"
},
{
"value": "",
"unit": "mm"
}
]
},
{
"name": "Front Travel",
"values": [
{
"value": "",
"unit": "in"
},
{
"value": "",
"unit": "mm"
}
]
},
{
"name": "Rear Travel",
"values": [
{
"value": "",
"unit": "in"
},
{
"value": "",
"unit": "mm"
}
]
},
{
"name": "Fork Rake Angle",
"values": [
{
"value": 30,
"unit": "Degree"
}
]
}
]
},
{
"section": "Braking",
"measurements": [
{
"name": "Front Brake Diameter",
"values": [
{
"value": 9.4,
"unit": "in"
},
{
"value": 240,
"unit": "mm"
}
]
},
{
"name": "Rear Brake Diameter",
"values": [
{
"value": 9.4,
"unit": "in"
},
{
"value": 240,
"unit": "mm"
}
]
}
]
},
{
"section": "Seating",
"measurements": [
{
"name": "Seat Height",
"values": [
{
"value": 34.3,
"unit": "in"
},
{
"value": 871.22,
"unit": "mm"
}
]
},
{
"name": "Alternate Seat Height",
"values": [
{
"value": "",
"unit": "in"
},
{
"value": "",
"unit": "mm"
}
]
}
]
},
{
"section": "Wheels",
"measurements": [
{
"name": "Front Wheel Diameter",
"values": [
{
"value": "",
"unit": "in"
}
]
},
{
"name": "Front Wheel Diamter",
"values": [
{
"value": "",
"unit": "mm"
}
]
},
{
"name": "Rear Wheel Diamter",
"values": [
{
"value": "",
"unit": "in"
},
{
"value": "",
"unit": "mm"
}
]
},
{
"name": "Front Wheel Width",
"values": [
{
"value": 7.9,
"unit": "in"
},
{
"value": 200.66,
"unit": "mm"
}
]
},
{
"name": "Rear Wheel Width",
"values": [
{
"value": 7.3,
"unit": "in"
},
{
"value": 185.42,
"unit": "mm"
}
]
}
]
},
{
"section": "Tires",
"measurements": [
{
"name": "Front Tire Width",
"values": [
{
"value": "",
"unit": "mm"
},
{
"value": "",
"unit": "in"
}
]
},
{
"name": "Rear Tire Width",
"values": [
{
"value": "",
"unit": "mm"
},
{
"value": "",
"unit": "in"
}
]
},
{
"name": "Front Tire Pressure",
"values": [
{
"value": 22,
"unit": "PSI"
},
{
"value": 1.5,
"unit": "Bar"
},
{
"value": 150,
"unit": "kPa"
}
]
},
{
"name": "Rear Tire Pressure",
"values": [
{
"value": 29,
"unit": "PSI"
},
{
"value": 2,
"unit": "Bar"
},
{
"value": 200,
"unit": "kPa"
}
]
},
{
"name": "Fork Tube",
"values": [
{
"value": 1.5,
"unit": "in"
},
{
"value": 38,
"unit": "mm"
}
]
}
]
},
{
"section": "Engine",
"measurements": [
{
"name": "Displacement",
"values": [
{
"value": 651,
"unit": "cc"
},
{
"value": 39.73,
"unit": "ci"
},
{
"value": 0.65,
"unit": "L"
}
]
},
{
"name": "Horsepower",
"values": [
{
"value": "",
"unit": "kW"
},
{
"value": "",
"unit": "bhp"
},
{
"value": "",
"unit": "rpm"
}
]
},
{
"name": "Torque",
"values": [
{
"value": 71.86,
"unit": "ft.lbs"
},
{
"value": 53,
"unit": "Nm"
}
]
},
{
"name": "Maximum Range",
"values": [
{
"value": "",
"unit": "mi"
},
{
"value": "",
"unit": "Km"
}
]
},
{
"name": "Carburetor Size",
"values": [
{
"value": "",
"unit": "in"
},
{
"value": "",
"unit": "mm"
}
]
},
{
"name": "Bore",
"values": [
{
"value": 3.9,
"unit": "in"
},
{
"value": 99.06,
"unit": "mm"
}
]
},
{
"name": "Stroke",
"values": [
{
"value": 3.3,
"unit": "in"
},
{
"value": 83.82,
"unit": "mm"
}
]
},
{
"name": "Fuel Injector",
"values": [
{
"value": "",
"unit": "in"
},
{
"value": "",
"unit": "mm"
}
]
},
{
"name": "Engine Displacement To Weight",
"values": [
{
"value": "",
"unit": "cc"
},
{
"value": "",
"unit": "ci"
}
]
},
{
"name": "Top Speed",
"values": [
{
"value": "",
"unit": "Km/h"
},
{
"value": "",
"unit": "mph"
}
]
},
{
"name": "Acceleration",
"values": [
{
"value": "",
"unit": "sec"
}
]
},
{
"name": "Green House",
"values": [
{
"value": "",
"unit": "g/Km"
}
]
},
{
"name": "Idle Speed",
"values": [
{
"value": 1300,
"unit": "RPM"
}
]
}
]
},
{
"section": "Fuel",
"measurements": [
{
"name": "Tank Capacity",
"values": [
{
"value": 6.1,
"unit": "gal"
},
{
"value": 23.09,
"unit": "L"
}
]
},
{
"name": "Reserve Tank Capacity",
"values": [
{
"value": "",
"unit": "gal"
},
{
"value": "",
"unit": "L"
}
]
},
{
"name": "Storage Capacity",
"values": [
{
"value": "",
"unit": "gal"
},
{
"value": "",
"unit": "L"
}
]
},
{
"name": "Oil Capacity",
"values": [
{
"value": 0.66,
"unit": "gal"
},
{
"value": 2.5,
"unit": "L"
}
]
}
]
},
{
"section": "Mileage",
"measurements": [
{
"name": "EPA City",
"values": [
{
"value": "",
"unit": "mpg"
},
{
"value": "",
"unit": "L/Km"
}
]
},
{
"name": "EPA Highway",
"values": [
{
"value": "",
"unit": "mpg"
},
{
"value": "",
"unit": "L/Km"
}
]
},
{
"name": "EPA Combined",
"values": [
{
"value": "",
"unit": "mpg"
},
{
"value": "",
"unit": "L/Km"
}
]
}
]
}
],
"specifications": [
{
"section": "Exterior",
"items": [
{
"name": "Frame Type",
"value": [
"Tubular, Semi-Double Cradle"
]
},
{
"name": "Light",
"value": [
""
]
}
]
},
{
"section": "Suspension",
"items": [
{
"name": "Front Suspension Type",
"value": [
"41mm telescopic fork"
]
},
{
"name": "Rear Suspension Type",
"value": [
"Uni-Trak single-shock system with 5-way preload and stepless rebound damping"
]
},
{
"name": "Front Suspension Brand",
"value": [
""
]
},
{
"name": "Rear Suspension Brand",
"value": [
""
]
},
{
"name": "Front Suspension Material",
"value": [
""
]
},
{
"name": "Rear Suspension Material",
"value": [
""
]
},
{
"name": "Front Adjustable Rebound Damping",
"value": [
""
]
},
{
"name": "Rear Adjustable Rebound Damping",
"value": [
""
]
},
{
"name": "Front Central Suspension Strut",
"value": [
""
]
},
{
"name": "Adjustable Front Suspension",
"value": [
""
]
},
{
"name": "Adjustable Rear Suspension",
"value": [
""
]
},
{
"name": "Steering Damper",
"value": [
""
]
},
{
"name": "Rear Shock Absorbers",
"value": [
""
]
},
{
"name": "Air Adjustable",
"value": [
""
]
}
]
},
{
"section": "Braking",
"items": [
{
"name": "Brake Type",
"value": [
""
]
},
{
"name": "Brake Brand Name",
"value": [
""
]
},
{
"name": "Front Brake Type",
"value": [
"Single disc. Two-piston calipers. Optional ABS."
]
},
{
"name": "Rear Brake Type",
"value": [
"Single disc. Single piston. Optional ABS.."
]
},
{
"name": "Abs System",
"value": [
""
]
},
{
"name": "Regenerative Breaking",
"value": [
""
]
},
{
"name": "Regenerative Deceleration",
"value": [
""
]
},
{
"name": "Linked Brake System Front To Rear",
"value": [
""
]
},
{
"name": "Brake Fluid",
"value": [
"DOT 4"
]
}
]
},
{
"section": "Seating",
"items": [
{
"name": "Seat Type",
"value": [
""
]
},
{
"name": "Seat Location",
"value": [
""
]
},
{
"name": "Seat Material",
"value": [
""
]
},
{
"name": "Grab Rail Or Strap",
"value": [
""
]
},
{
"name": "Backrest Logo Plate",
"value": [
""
]
},
{
"name": "Backrest Type",
"value": [
""
]
},
{
"name": "Backrest Location",
"value": [
""
]
},
{
"name": "Folding",
"value": [
""
]
},
{
"name": "Detachable Passenger Seat",
"value": [
""
]
},
{
"name": "Seat Tail Cover",
"value": [
""
]
},
{
"name": "Adjustable",
"value": [
""
]
},
{
"name": "Seat Backrest",
"value": [
""
]
},
{
"name": "Heated Seat",
"value": [
""
]
},
{
"name": "Lumbar Adjustment",
"value": [
""
]
},
{
"name": "Seat Rail",
"value": [
""
]
},
{
"name": "Detachable",
"value": [
""
]
},
{
"name": "Sidecar",
"value": [
""
]
},
{
"name": "Number Of Seats",
"value": [
""
]
}
]
},
{
"section": "Wheels",
"items": [
{
"name": "Wheel Type",
"value": [
""
]
},
{
"name": "Wheels Composition",
"value": [
""
]
},
{
"name": "Chromed",
"value": [
""
]
}
]
},
{
"section": "Tires",
"items": [
{
"name": "Tires Type",
"value": [
""
]
},
{
"name": "Tires Brand",
"value": [
""
]
},
{
"name": "Spare Tire",
"value": [
""
]
},
{
"name": "Front Tire Size",
"value": [
"90/90-21"
]
},
{
"name": "Rear Tire Size",
"value": [
"130/80-17"
]
},
{
"name": "Front Tire Speed Rating",
"value": [
""
]
},
{
"name": "Rear Tire Speed Rating",
"value": [
""
]
},
{
"name": "Front Tire Aspect Ratio",
"value": [
""
]
},
{
"name": "Rear Tire Aspect Ratio",
"value": [
""
]
}
]
},
{
"section": "Engine",
"items": [
{
"name": "Engine Type",
"value": [
"Single cylinder, four-stroke"
]
},
{
"name": "Engine Brand",
"value": [
""
]
},
{
"name": "Carburetor",
"value": [
""
]
},
{
"name": "Carburetion",
"value": [
""
]
},
{
"name": "Carburetion Type",
"value": [
""
]
},
{
"name": "Carburetion Brand",
"value": [
""
]
},
{
"name": "Speed Governor",
"value": [
""
]
},
{
"name": "Engine Stroke",
"value": [
""
]
},
{
"name": "Cooling",
"value": [
"Liquid"
]
},
{
"name": "Turbocharged",
"value": [
""
]
},
{
"name": "Fuel Injector",
"value": [
""
]
},
{
"name": "Primary Compression Ratio",
"value": [
"9.8:1"
]
},
{
"name": "Secondary Compression Ratio",
"value": [
""
]
},
{
"name": "Valve Configuration",
"value": [
""
]
},
{
"name": "Number Of Carburetors",
"value": [
""
]
},
{
"name": "Cylinders",
"value": [
""
]
},
{
"name": "Valves",
"value": [
""
]
},
{
"name": "Valves Per Cylinder",
"value": [
""
]
},
{
"name": "Lubrication System",
"value": [
""
]
},
{
"name": "Exhaust System",
"value": [
""
]
},
{
"name": "Emission Details",
"value": [
""
]
},
{
"name": "Ignition",
"value": [
"Electric CDI"
]
},
{
"name": "Clutch",
"value": [
"Wet multi-disc manual clutch"
]
},
{
"name": "Starter",
"value": [
"Electric"
]
},
{
"name": "Electrical",
"value": [
""
]
},
{
"name": "Engine Oil",
"value": [
"SAE 10W-40"
]
},
{
"name": "Spark Plugs",
"value": [
"NGK DPR8EA-9, NGK DPR8EIX-9"
]
}
]
},
{
"section": "Transmission",
"items": [
{
"name": "Transmission Type",
"value": [
"Chain (final drive)"
]
},
{
"name": "Transmission Brand",
"value": [
""
]
},
{
"name": "Engine Transmission Drive",
"value": [
""
]
},
{
"name": "Primary Drive Rear Wheel",
"value": [
"Sealed chain"
]
},
{
"name": "Adjustable Throttle",
"value": [
""
]
},
{
"name": "Secondary Transmission",
"value": [
""
]
},
{
"name": "Overdrive",
"value": [
""
]
},
{
"name": "Heel Toe Shifter",
"value": [
""
]
},
{
"name": "Reverse",
"value": [
""
]
},
{
"name": "Number Of Speeds",
"value": [
5
]
},
{
"name": "First Gear Ratio",
"value": [
""
]
},
{
"name": "Second Gear Ratio",
"value": [
""
]
},
{
"name": "Third Gear Ratio",
"value": [
""
]
},
{
"name": "Fourth Gear Ratio",
"value": [
""
]
},
{
"name": "Fifth Gear Ratio",
"value": [
""
]
},
{
"name": "Sixth Gear Ratio",
"value": [
""
]
},
{
"name": "Final Drive Axle Ratio",
"value": [
""
]
}
]
},
{
"section": "Fuel",
"items": [
{
"name": "Fuel Type",
"value": [
"Injection. DFI w/40mm Throttle Body"
]
},
{
"name": "Fuel Grade",
"value": [
""
]
},
{
"name": "Fuel Control",
"value": [
"Double Overhead Cams/Twin Cam (DOHC)"
]
},
{
"name": "Carrying Capacity",
"value": [
""
]
}
]
}
],
"colors": "Pearl Sand Khaki, Pearl Lava Orange",
"features": [
{
"title": "Exterior Features",
"description": []
},
{
"title": "Steering Features",
"description": []
},
{
"title": "Instrumentation Features",
"description": []
},
{
"title": "Storage Features",
"description": []
},
{
"title": "Lights Features",
"description": []
},
{
"title": "Glass Features",
"description": []
},
{
"title": "Convenience Features",
"description": []
},
{
"title": "Entertainment Features",
"description": []
},
{
"title": "Mounts Features",
"description": []
},
{
"title": "Paint And Finish Features",
"description": []
},
{
"title": "Electric Engine Features",
"description": []
}
],
"warranties": [
{
"title": "Basic",
"values": [
{
"title": "Months",
"value": 12
},
{
"title": "Miles",
"value": ""
},
{
"title": "Condition",
"value": ""
}
]
},
{
"title": "Charging System",
"values": {
"title": "Months",
"value": ""
}
},
{
"title": "Battery",
"values": {
"title": "Months",
"value": ""
}
}
]
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
Motorcycle Decode
GETJSON ResponseOverview
The Year Options API returns a list of all available motorcycle years in the database.
- RETURNS
- Array of available years as strings
- SUPPORT
- Works for motorcycle from 1894 to 2025
HTTP Request
Endpoint
https://api.vehicledatabases.com/motorcycle-decode/options/yearRequest
import requests
response = requests.get(
"https://api.vehicledatabases.com/motorcycle-decode/options/year",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())JSON Response
The response is a JSON of all the information associated with a VIN number. Each vin number has the following elements:
Example Response
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": {
"years": [
1894,
1895,
1896,
1897,
1898,
1899,
1900,
1901,
1902,
1903,
1904,
1905,
1906,
1907,
1908,
1909,
1910,
1911,
1912,
1913,
1914,
1915,
1916,
1917,
1918,
1919,
1920,
1921,
1922,
1923,
1924,
1925,
1926,
1927,
1928,
1929,
1930,
1931,
1932,
1933,
1934,
1935,
1936,
1937,
1938,
1939,
1940,
1941,
1942,
1943,
1944,
1945,
1946,
1947,
1948,
1949,
1950,
1951,
1952,
1953,
1954,
1955,
1956,
1957,
1958,
1959,
1960,
1961,
1962,
1963,
1964,
1965,
1966,
1967,
1968,
1969,
1970,
1971,
1972,
1973,
1974,
1975,
1976,
1977,
1978,
1979,
1980,
1981,
1982,
1983,
1984,
1985,
1986,
1987,
1988,
1989,
1990,
1991,
1992,
1993,
1994,
1995,
1996,
1997,
1998,
1999,
2000,
2001,
2002,
2003,
2004,
2005,
2006,
2007,
2008,
2009,
2010,
2011,
2012,
2013,
2014,
2015,
2016,
2017,
2018,
2019,
2020,
2021,
2022,
2023,
2024,
2025
]
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
Motorcycle Decode
GETJSON ResponseOverview
The Make Options API returns a list of all available motorcyle makes for a specific year. Use this endpoint after the user selects a year.
- RETURNS
- Array of available makes for the specified year
- REQUIRED
- Year parameter in the URL path
HTTP Request
Endpoint
https://api.vehicledatabases.com/motorcycle-decode/options/make/{year}Request
import requests
response = requests.get(
"https://api.vehicledatabases.com/motorcycle-decode/options/make/{year}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
yearRequired- Motorcycle Year
JSON Response
The response is a JSON of all the information associated with a VIN number. Each vin number has the following elements:
Example Response
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": {
"year": "2017",
"makes": [
"Alligator",
"Aprilia",
"Ariel",
"Aurora",
"Avinton",
"BETA",
"BMW",
"BPG",
"Baotian",
"Benelli",
"Bennche",
"Bimota",
"Bintelli",
"Boss Hoss",
"Brixton",
"Brudeli",
"Bultaco",
"CCM",
"CF Moto",
"CR&S",
"CSC Motorcycles",
"California Scooter",
"Can-Am",
"Clipic",
"Daelim",
"Derbi",
"Ducati",
"Enfield",
"FB Mondial",
"FGR",
"GAS GAS",
"Genuine Scooter Co.",
"Ghezzi-Brian",
"Gilera",
"Gogoro",
"Harley-Davidson",
"Herald",
"Honda",
"Horex",
"Husqvarna",
"Hyosung",
"Indian",
"Jawa-CZ",
"KRC",
"KSR",
"KTM",
"Kawasaki",
"Keeway",
"Kikker 5150",
"Kreidler",
"Kuberg",
"Kymco",
"Lambretta",
"Lance",
"Leonart",
"Lexmoto",
"Lifan",
"Lightning",
"Linhai",
"Loncin",
"Longjia",
"MH",
"MV Agusta",
"Mash",
"Matchless",
"Megelli",
"Metisse",
"Mikilon",
"Modenas",
"Moto Guzzi",
"Motobi",
"Motorino",
"Motowell",
"Motus",
"NCR",
"Neander",
"Norton",
"Orcal",
"Oset",
"Piaggio",
"Pitster Pro",
"Polaris",
"Quadro",
"Rewaco",
"Rieju",
"Rokon",
"Romet",
"Royal Enfield",
"SSR Motorsports",
"SWM",
"SYM",
"Sachs",
"Saxon",
"Scomadi",
"Scorpa",
"Sherco",
"Sinnis",
"Sora",
"Suzuki",
"Sym",
"TM Racing",
"TRS",
"Terra Modena",
"Tomos",
"Torrot",
"Triumph",
"Ural",
"Vento",
"Vertigo",
"Vervemoto",
"Vespa",
"Victory",
"Vyrus",
"WK",
"Yamaha",
"Zero"
]
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
Motorcycle Decode
GETJSON ResponseOverview
The Model Options API returns a list of all available motorcycle models for a specific year and make combination. Use this endpoint after the user selects both year and make.
- RETURNS
- Array of available models for the specified year and make
- REQUIRED
- Year and make parameters in the URL path
HTTP Request
Endpoint
https://api.vehicledatabases.com/motorcycle-decode/options/model/{year}/{make}Request
import requests
response = requests.get(
"https://api.vehicledatabases.com/motorcycle-decode/options/model/{year}/{make}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
yearRequired- Motorcycle Year
makeRequired- Motorcycle Make
JSON Response
The response is a JSON of all the information associated with a VIN number. Each vin number has the following elements:
Example Response
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": {
"year": "2017",
"make": "Kawasaki",
"models": [
"1400 GTR",
"1400 GTR Grand Tourer",
"Athlete PRO",
"Brute Force 750 4x4i EPS Camo",
"Brute Force 300",
"Brute Force 650 4x4i",
"Brute Force 750 4x4i EPS",
"Concours® 14 ABS",
"D-Tracker",
"D-Tracker X",
"ER-6f",
"ER-6n",
"Estrella",
"J125",
"J125 Special Edition",
"J300",
"J300 Special Edition",
"KFX50",
"KFX90",
"KLR 650",
"KLRâ„¢ 650",
"KLRâ„¢ 650 Camo",
"KLX",
"KLX 110",
"KLX125",
"KLX250",
"KLX450R",
"KLX® 110",
"KLX® 110L",
"KSR 110",
"KSR Pro",
"KX",
"KX 250F",
"KX85-II",
"KXâ„¢ 250F",
"KXâ„¢ 450F",
"Ninja 250SL",
"Ninja 250SL KRT Edition",
"Ninja 300",
"Ninja 300 KRT Edition",
"Ninja 300 Performance",
"Ninja 650",
"Ninja 650 KRT Edition",
"Ninja H2",
"Ninja H2R",
"Ninja ZX-10R",
"Ninja ZX-10R KRT Replica",
"Ninja ZX-14R",
"Ninja ZX-6R 636",
"Ninja ZX-6R 636 ABS",
"Ninja ZX-6R 636 Performance",
"Ninja Zx 10R",
"Ninja Zx 10Rr",
"Ninja Zx 6R",
"Ninja(R) H2(TM) R",
"Ninja® 1000 ABS",
"Ninja® 300 ABS",
"Ninja® 300 ABS KRT Edition",
"Ninja® 300 ABS Winter Test Edition",
"Ninja® 650 ABS",
"Ninja® 650 ABS KRT Edition",
"Ninja® ZX™-10R ABS KRT Edition",
"Ninja® ZX™-10R KRT Edition",
"Ninja® ZX™-14R ABS",
"Ninja® ZX™-14R ABS SE",
"Ninja® ZX™-6R ABS",
"Ninja® ZX™-6R ABS KRT Edition",
"Ninja® ZX™-6R KRT Edition",
"Pulsar 200NS",
"VN 1700 Classic",
"VN 1700 Classic Tourer",
"Versys 650",
"Versys 650 Special Edition",
"Versys 1000",
"Versys-X 250",
"Versys® 1000 LT",
"Versys® 650 ABS",
"Versys® 650 LT",
"Versys®-X 300",
"Versys®-X 300 ABS",
"Vulcan 1700 Nomad",
"Vulcan 900 Classic Special Edition",
"Vulcan S",
"Vulcan S Special Edition",
"Vulcan 1700 Vaquero",
"Vulcan 1700 Voyager",
"Vulcan 900",
"Vulcan S",
"Vulcan S ABS Special Edition",
"Vulcan S Abs Cafe",
"Vulcan S Cafe",
"Vulcan® 900 Classic LT",
"Vulcan® 900 Custom",
"Vulcan® S ABS Café",
"Vulcan® S ABS SE",
"W800",
"W800 Final Edition",
"W800 Special Edition",
"Z1000",
"Z1000 R Edition",
"Z1000 SX",
"Z1000 Sugomi Edition",
"Z125 Pro",
"Z250SL",
"Z300",
"Z300 Performance",
"Z650",
"Z800",
"Z800 ABS",
"Z800 Performance",
"Z800 e version",
"Z800 e version Performance",
"Z800 e version SE",
"Z900",
"ZRX1200 DAEG",
"ZZR 1400",
"ZZR 1400 Performance Sport"
]
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
Motorcycle Decode
GETJSON ResponseOverview
The Trim Options API returns a list of all available motorcycle trims for a specific year, make, and model combination. This is typically the final endpoint called before making the actual decode request.
- RETURNS
- Array of available trims for the specified year, make, and model
- REQUIRED
- Year, make, and model parameters in the URL path
HTTP Request
Endpoint
https://api.vehicledatabases.com/motorcycle-decode/options/trim/{year}/{make}/{model}Request
import requests
response = requests.get(
"https://api.vehicledatabases.com/motorcycle-decode/options/trim/{year}/{make}/{model}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
yearRequired- Motorcycle Year
makeRequired- Motorcycle Make
modelRequired- Motorcycle Model
JSON Response
The response is a JSON of all the information associated with a VIN number. Each vin number has the following elements:
Example Response
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": {
"year": "2017",
"make": "Kawasaki",
"model": "KFX90",
"trims": [
"Base"
]
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.